langcode: en
status: true
dependencies:
  config:
    - field.field.media.video.field_media_cover_image
    - field.field.media.video.field_media_in_library
    - field.field.media.video.field_media_video_file
    - image.style.field_preview
    - media.type.video
  module:
    - advanced_text_formatter
    - file
    - focal_point
    - length_indicator
    - maxlength
id: media.video.default
targetEntityType: media
bundle: video
mode: default
content:
  field_media_cover_image:
    type: image_focal_point
    weight: 2
    region: content
    settings:
      progress_indicator: throbber
      preview_image_style: field_preview
      preview_link: true
      offsets: '50,50'
    third_party_settings: {  }
  field_media_in_library:
    type: boolean_checkbox
    weight: 3
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_media_video_file:
    type: file_generic
    weight: 0
    region: content
    settings:
      progress_indicator: throbber
    third_party_settings: {  }
  name:
    type: string_textfield
    weight: 1
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings:
      length_indicator:
        indicator: false
        indicator_opt:
          optimin: 10
          optimax: 15
          tolerance: 5
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
      advanced_text_formatter:
        show_token_tree: 0
  status:
    type: boolean_checkbox
    weight: 4
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
hidden:
  created: true
  langcode: true
  path: true
  publish_on: true
  publish_state: true
  uid: true
  unpublish_on: true
  unpublish_state: true
